%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}

Name:		ovirt-engine-extension-logger-log4j
Version:	1.0.2
Release:	3%{?dist}
License:	ASL 2.0
Summary:	oVirt Log4j Logger Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.0.2-1.tar

BuildRequires:	java-devel >= 1.7.0
BuildRequires:	log4j
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	ovirt-engine-extensions-api

Requires:	log4j
Requires:	ovirt-engine-extensions-api-impl >= 4.0

%description
Log4j logger extensions for oVirt engine.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
package.display.name=%{name}-%{version}-%{release}
jar.log4j=$(build-classpath log4j/log4j.jar)
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

rm "%{buildroot}/usr/share/ovirt-engine-extension-logger-log4j/modules/org/ovirt/engine-extensions/logger/log4j/main/log4j.jar"
ln -s "$(build-classpath log4j/log4j.jar)" "%{buildroot}/usr/share/ovirt-engine-extension-logger-log4j/modules/org/ovirt/engine-extensions/logger/log4j/main/log4j.jar"

%files
%doc README
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/20-%{name}.conf

%changelog
* Fri Nov 04 2016 Martin Perina <mperina@redhat.com> 1.0.2-3
- Removes EL6/Fedora support from spec
- Updates dependcies for RHV 4.1

* Mon Jul 25 2016 Ravi Nori <rnori@redhat.com> 1.0.2-1
- Resolves, rhbz#1359846

* Sat Dec 6 2014 Ravi Nori <rnori@redhat.com> 1.0.0-2
- Initial, rhbz#1113651

* Mon Dec 1 2014 Ravi Nori <rnori@redhat.com> 1.0.0-1
- Initial, rhbz#1113651
